<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        /* Cấu trúc đa cột */
        /* .column {
            width: 50%;
            float: left;
            border: 1px solid #000;
            padding: 10px;
            box-sizing: border-box;
        } */

        /* Text Wrapping */
        .wrap {
            float: left;
            margin: 0 10px 10px 0;
        }

        /* Dropdown Menu ngang */
        ul.horizontal-menu {
            list-style: none;
            padding: 0;
        }

        ul.horizontal-menu li {
            float: left;
            margin-right: 10px;
        }

        /* Dropdown Menu dọc */
        ul.vertical-menu {
            list-style: none;
            padding: 0;
        }

        ul.vertical-menu li {
            clear: both;
            margin-bottom: 10px;
        }

        /* Float-based Grid */
        .grid {
            width: 100%;
        }

        .grid-col {
            float: left;
            width: 33.33%;
            box-sizing: border-box;
        }

        /* Sidebar và Content */
        .sidebar {
            float: left;
            width: 25%;
            background-color: #F5DEB3;
            padding: 10px;
            box-sizing: border-box;
        }

        .content {
            float: left;
            width: 75%;
            background-color: #B0E0E6;
            padding: 10px;
            box-sizing: border-box;
        }

        img {
            width: 300px;
            height: auto;
        }
    </style>
</head>

<body>
    <!-- <h2>Cấu trúc đa cột</h2>
    <div class="column">Column 1</div>
    <div class="column">Column 2</div>
    <div class="column">Column 3</div>
    <div class="column">Column 4</div> -->

    <!-- <h2>Text Wrapping</h2>
    <img src="../img/1652946647581.jpg" alt="Hình ảnh" class="wrap">
    <p>This is some text that will wrap around the image.</p> -->

    <h2>Dropdown Menu ngang</h2>
    <ul class="horizontal-menu">
        <li><a href="#">Trang chủ</a></li>
        <li><a href="#">Giới thiệu</a></li>
        <li><a href="#">Dịch vụ</a></li>
        <li><a href="#">Liên hệ</a></li>
    </ul>

    <h2>Dropdown Menu dọc</h2>
    <ul class="vertical-menu">
        <li><a href="#">Trang chủ</a></li>
        <li><a href="#">Giới thiệu</a></li>
        <li><a href="#">Dịch vụ</a></li>
        <li><a href="#">Liên hệ</a></li>
    </ul>

    <h2>Float-based Grid</h2>
    <div class="grid">
        <div class="grid-col">Column 1</div>
        <div class="grid-col">Column 2</div>
        <div class="grid-col">Column 3</div>
    </div>

    <h2>Sidebar và Content</h2>
    <div class="sidebar">Sidebar Content</div>
    <div class="content">Main Content</div>
</body>

</html>